summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2017-02-06 07:49:46 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-06 07:49:46 +0700
commit8bf8fa4e59ce0109b2c8de587c59292d65cf6243 (patch)
treea2628affb9134567af9b38ed08d5c27933a87991 /perl
parent92b8562bd3f641ff2bb388c5f781fcabe2159ffc (diff)
downloadslackbuilds-8bf8fa4e59ce0109b2c8de587c59292d65cf6243.tar.gz
slackbuilds-8bf8fa4e59ce0109b2c8de587c59292d65cf6243.tar.xz
perl/perl-IO-Interface: Updated for version 1.09 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-IO-Interface/README11
-rw-r--r--perl/perl-IO-Interface/perl-IO-Interface.SlackBuild91
-rw-r--r--perl/perl-IO-Interface/perl-IO-Interface.info10
-rw-r--r--perl/perl-IO-Interface/slack-desc8
4 files changed, 58 insertions, 62 deletions
diff --git a/perl/perl-IO-Interface/README b/perl/perl-IO-Interface/README
index cfccd42a6a..4642023e83 100644
--- a/perl/perl-IO-Interface/README
+++ b/perl/perl-IO-Interface/README
@@ -1,7 +1,6 @@
-IO::Interface - Perl extension for access to network card configuration
-information
+perl-IO-Interface (access to network card configuration information)
-IO::Interface adds methods to IO::Socket objects that allows them to be used
-to retrieve and change information about the network interfaces on your
-system. In addition to the object-oriented access methods, you can use a
-function-oriented style.
+IO::Interface adds methods to IO::Socket objects that allows them
+to be used to retrieve and change information about the network
+interfaces on your system. In addition to the object-oriented access
+methods, you can use a function-oriented style.
diff --git a/perl/perl-IO-Interface/perl-IO-Interface.SlackBuild b/perl/perl-IO-Interface/perl-IO-Interface.SlackBuild
index 068983b75b..6c509b52d6 100644
--- a/perl/perl-IO-Interface/perl-IO-Interface.SlackBuild
+++ b/perl/perl-IO-Interface/perl-IO-Interface.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-
-# Slackware build script for perl-IO-Interface
-
-# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+#
+# Slackware build script for perl-IO-Interface.
+#
+# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# Copyright 2009 Marco Bonetti <sid77@slackware.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,28 +12,27 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-IO-Interface
-VERSION=${VERSION:-1.06}
+VERSION=${VERSION:-1.09}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-SRC_PRGNAM=IO-Interface
-DOCS="README"
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -43,8 +43,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -62,44 +62,41 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $SRC_PRGNAM-$VERSION
-tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
-cd $SRC_PRGNAM-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Makefile.PL INSTALLDIRS=perl
-make
-make test
-make install DESTDIR=$PKG
+PERL_MM_USE_DEFAULT=1 \
+PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR=$PKG" \
+PERL_MB_OPT="--installdirs vendor --destdir $PKG" \
+MODULEBUILDRC=/dev/null \
+perl Build.PL \
+ prefix=/usr \
+ installdirs=vendor \
+ destdir=$PKG
+./Build
+./Build install \
+ --install_path bindoc=/usr/man/man1 \
+ --install_path libdoc=/usr/man/man3
-# Move man pages
-mv $PKG/usr/share/man $PKG/usr/
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove perllocal.pod and other special files that don't need to be installed
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-# Remove empty directories
-find $PKG -depth -type d -empty -delete
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/perl/perl-IO-Interface/perl-IO-Interface.info b/perl/perl-IO-Interface/perl-IO-Interface.info
index bb9eb6703e..f138d78c7b 100644
--- a/perl/perl-IO-Interface/perl-IO-Interface.info
+++ b/perl/perl-IO-Interface/perl-IO-Interface.info
@@ -1,10 +1,10 @@
PRGNAM="perl-IO-Interface"
-VERSION="1.06"
+VERSION="1.09"
HOMEPAGE="https://metacpan.org/pod/IO::Interface"
-DOWNLOAD="http://www.cpan.org/authors/id/L/LD/LDS/IO-Interface-1.06.tar.gz"
-MD5SUM="7d77d0f23ee7f577109fc5f0e67e0a4b"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/L/LD/LDS/IO-Interface-1.09.tar.gz"
+MD5SUM="806f97aff5a7361b6f54cd494f4cc9fd"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Marco Bonetti"
-EMAIL="sid77@slackware.it"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/perl/perl-IO-Interface/slack-desc b/perl/perl-IO-Interface/slack-desc
index faba39a69f..a1244aee98 100644
--- a/perl/perl-IO-Interface/slack-desc
+++ b/perl/perl-IO-Interface/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
perl-IO-Interface: perl-IO-Interface (access to network card configuration information)
perl-IO-Interface:
-perl-IO-Interface: IO::Interface adds methods to IO::Socket objects that allows them
-perl-IO-Interface: to be used to retrieve and change information about the network
-perl-IO-Interface: interfaces on your system. In addition to the object-oriented access
+perl-IO-Interface: IO::Interface adds methods to IO::Socket objects that allows them
+perl-IO-Interface: to be used to retrieve and change information about the network
+perl-IO-Interface: interfaces on your system. In addition to the object-oriented access
perl-IO-Interface: methods, you can use a function-oriented style.
perl-IO-Interface:
-perl-IO-Interface:
+perl-IO-Interface: Home page: https://metacpan.org/pod/IO::Interface
perl-IO-Interface:
perl-IO-Interface:
perl-IO-Interface: